---
nameOverride: cinder-csi
csi:
  attacher:
    image:
      repository: {{ kubernetes_k8s_gcr_proxy }}/sig-storage/csi-attacher
  provisioner:
    image:
      repository: {{ kubernetes_k8s_gcr_proxy }}/sig-storage/csi-provisioner
  snapshotter:
    image:
      repository: {{ kubernetes_k8s_gcr_proxy }}/sig-storage/csi-snapshotter
  resizer:
    image:
      repository: {{ kubernetes_k8s_gcr_proxy }}/sig-storage/csi-resizer
  nodeDriverRegistrar:
    image:
      repository:
        {{ kubernetes_k8s_gcr_proxy }}/sig-storage/csi-node-driver-registrar
  plugin:
    image:
      repository:
        {{ kubernetes_docker_proxy }}/k8scloudprovider/cinder-csi-plugin
    nodePlugin:
      kubeletDir: {{ kubernetes_kubelet_folder }}
  snapshotController:
    enabled: false
secret:
  enabled: true
  name: {{ kubernetes_charts_cinder_openstack_secret }}
{% if kubernetes_charts_cinder_additional_classes|length > 0 or kubernetes_charts_cinder_default_class_name is defined %}
storageClass:
{% if kubernetes_charts_cinder_default_class_name is defined and kubernetes_charts_cinder_default_class_name == 'csi-cinder-sc-delete' %}
  delete:
    isDefault: true
{% endif %}
{% if kubernetes_charts_cinder_default_class_name is defined and kubernetes_charts_cinder_default_class_name == 'csi-cinder-sc-retain' %}
  retain:
    isDefault: true
{% endif %}
  custom: |-
{% for class in kubernetes_charts_cinder_additional_classes %}
    ---
    apiVersion: storage.k8s.io/v1
    kind: StorageClass
    metadata:
      name: {{ class.name }}
{% if kubernetes_charts_cinder_default_class_name is defined and kubernetes_charts_cinder_default_class_name == class.name %}
      annotations:
        storageclass.kubernetes.io/is-default-class: true
{% endif %}
    provisioner: cinder.csi.openstack.org
    volumeBindingMode: Immediate
    allowVolumeExpansion: true
{% if class.parameters is defined %}
    parameters:
      {{ class.parameters | to_nice_yaml(indent=2) | indent(6) }}
{% endif %}
{% endfor %}
{% endif %}
